# BearSSL-rs

Use and extend BearSSL in Rust.

## Crates

* `bearssl-sys`: Autogenerated FFI bindings for BearSSL 0.6. Can use the link dynamically or bundle a build itself.
    * Versions below `0.0.5` are unrelated to this crate.
* `bearssl`: Higher level code for easier use in servers, clients, etc.
    * Versions below `0.0.2` are unrelated to this crate.

## Development

We prefer commit signing via SSH. The allowed signers are listed in `.gitsigners`.
To verify, a gitconfig entry such as the following is likely needed:

```ini
[gpg.ssh]
    allowedSignersFile = .gitsigners
```

## License

All crates in this repository are available under `BSD-3-Clause`.
Please refer to each crate's README for more details.
